<?php
/* Mantenimiento de los registros de la tabla VTA_OrdenDetalle redefinidos por el usaurio */
class VTA_OrdenDetalleDP extends BaseVTA_OrdenDetalleDP
{
    public static function recuperarId( $OrdenId )
    {
        $s_Sql = "SELECT IF( MAX( OrdenDetalleNum ) IS NULL, 1, MAX( OrdenDetalleNum ) + 1 ) i_Id FROM VTA_OrdenDetalle WHERE OrdenId='$OrdenId';";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        return $o_ResultSet->getInt( 'i_Id' );
    }
    
    public static function actualizarCabaceraMontos(  )
    {
        
    }
}